Skip to content

getPurchaseOrderLocations

READ

Get purchase order locations.

POST /api/v1/purchasing/getPurchaseOrderLocations
curl -X POST '<your-host>/api/v1/purchasing/getPurchaseOrderLocations' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchaseOrderId": "string"
  }'
Response
{
  "companyCountryCode": "string",
  "companyCountryName": "string",
  "customerAddressLine1": "string",
  "customerAddressLine2": "string",
  "customerCity": "string",
  "customerCountryCode": "string",
  "customerCountryName": "string",
  "customerName": "string",
  "customerPostalCode": "string",
  "customerStateProvince": "string",
  "deliveryAddressLine1": "string",
  "deliveryAddressLine2": "string",
  "deliveryCity": "string",
  "deliveryCountryCode": "string",
  "deliveryCountryName": "string",
  "deliveryName": "string",
  "deliveryPostalCode": "string",
  "deliveryStateProvince": "string",
  "dropShipment": true,
  "id": "string",
  "supplierAddressLine1": "string",
  "supplierAddressLine2": "string",
  "supplierCity": "string",
  "supplierContactEmail": "string",
  "supplierContactName": "string",
  "supplierCountryCode": "string",
  "supplierCountryName": "string",
  "supplierEori": "string",
  "supplierName": "string",
  "supplierPostalCode": "string",
  "supplierStateProvince": "string",
  "supplierTaxId": "string",
  "supplierVatNumber": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "purchaseOrderId": {
      "type": "string"
    }
  },
  "required": [
    "purchaseOrderId"
  ]
}